<?php
// เริ่มการวัดเวลา
$start_time = microtime(true);

// งานที่ใช้หน่วยความจำสูง
$array = [];
$max = 1000000;
for ($i = 0; $i < $max; $i++) {
    $array[] = md5($i); // สร้างข้อมูลขนาดใหญ่
}

// วัดการใช้หน่วยความจำในขณะนั้น
$current_memory_usage = memory_get_usage();
$peak_memory_usage = memory_get_peak_usage();

// สิ้นสุดการวัดเวลา
$end_time = microtime(true);

// คำนวณเวลาที่ใช้ในการประมวลผล
$execution_time = $end_time - $start_time;

// แสดงผลลัพธ์
echo "Total execution time: " . number_format($execution_time, 4) . " seconds<br>";
echo "Current memory usage: " . number_format($current_memory_usage / 1048576, 2) . " MB<br>";
echo "Peak memory usage: " . number_format($peak_memory_usage / 1048576, 2) . " MB<br>";
?>
