<?php
// เริ่มการวัดเวลา
$start_time = microtime(true);

// งานที่ใช้ CPU สูง: คำนวณหาตัวเลขจำนวนมาก
$max = 10000000;
$sum = 0;

for ($i = 0; $i < $max; $i++) {
    $sum += sqrt($i); // คำนวณรากที่สองของแต่ละตัวเลขแล้วรวม
}

// สิ้นสุดการวัดเวลา
$end_time = microtime(true);

// คำนวณเวลาที่ใช้ในการประมวลผล
$execution_time = $end_time - $start_time;

// แสดงผลลัพธ์
echo "Total sum of square roots: " . $sum . "<br>";
echo "Total execution time: " . number_format($execution_time, 4) . " seconds";
?>
