<?php
// ตั้งค่าการเชื่อมต่อฐานข้อมูล
$host = 'localhost';
$dbname = 'filmz_test';
$username = 'filmz_test';
$password = 'Test1220!!!';

// สร้างการเชื่อมต่อกับฐานข้อมูล
try {
    $pdo = new PDO("mysql:host=$host;dbname=$dbname", $username, $password);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $e) {
    die("Could not connect to the database $dbname :" . $e->getMessage());
}

// เริ่มการวัดเวลา
$start_time = microtime(true);

// ลบข้อมูลทั้งหมดใน test_table
$stmt = $pdo->prepare("DELETE FROM test_table");
$stmt->execute();

// สิ้นสุดการวัดเวลา
$end_time = microtime(true);

// คำนวณเวลาที่ใช้ในการลบข้อมูลทั้งหมด
$execution_time = $end_time - $start_time;
$execution_time_ms = $execution_time * 1000; // แปลงเป็น milliseconds

// แสดงผลเวลาที่ใช้ในการลบข้อมูล
echo "Successfully deleted all records from the database.<br>";
echo "Total execution time: " . number_format($execution_time_ms, 2) . " ms";
?>
