<?php
// ตั้งค่าการเชื่อมต่อฐานข้อมูล
$host = 'localhost';
$dbname = 'filmz_test';
$username = 'filmz_test';
$password = 'Test1220!!!';

// สร้างการเชื่อมต่อกับฐานข้อมูล
try {
    $pdo = new PDO("mysql:host=$host;dbname=$dbname", $username, $password);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $e) {
    die("Could not connect to the database $dbname :" . $e->getMessage());
}

// เตรียมคำสั่ง SQL สำหรับการ INSERT
$stmt = $pdo->prepare("INSERT INTO test_table (name, value) VALUES (:name, :value)");

// เริ่มการวัดเวลา
$start_time = microtime(true);

// เริ่ม loop เพื่อเพิ่มข้อมูล 10,000 records
for ($i = 1; $i <= 10000; $i++) {
    // กำหนดค่าที่ต้องการใส่ในแต่ละ record
    $name = 'Test Name ' . $i;
    $value = 'Test Value ' . $i;

    // ดำเนินการ INSERT
    $stmt->execute(['name' => $name, 'value' => $value]);
}

// สิ้นสุดการวัดเวลา
$end_time = microtime(true);

// คำนวณเวลาที่ใช้ในการ INSERT ทั้งหมด
$execution_time = $end_time - $start_time;
$execution_time_ms = $execution_time * 1000; // แปลงเป็น milliseconds

// แสดงผลเวลาที่ใช้ในการ INSERT
echo "Successfully inserted 10,000 records into the database.<br>";
echo "Total execution time: " . number_format($execution_time_ms, 2) . " ms";
?>
